Bug 434653 - virtual ip not restored to lo:0
virtual ip not restored to lo:0
Product: Fedora
Classification: Fedora
Component: heartbeat (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-23 18:42 EST by Kelly Corbin
Modified: 2008-06-06 15:37 EDT (History)
0 users

See Also:
Fixed In Version: 2.1.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-06 15:37:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
IPaddr patch (743 bytes, patch)
2008-02-23 18:42 EST, Kelly Corbin
no flags Details | Diff

  None (edit)
Description Kelly Corbin 2008-02-23 18:42:03 EST
Description of problem:
When using a streamlined load-balancing architecture with LVS and heartbeat (the
load balancer also acts as a real server), and switching the active server or
shutting down heartbeat on the node the following errors are logged:
lrmd: info: RA output: (R_VIP:stop:stderr) lo:0: warning: name may be invalid 
IPaddr: ERROR: Insufficient arguments to add_interface: lo:0 lo:0 broadcast

Then the virtual IP on lo:0 is not restored and shut down hangs.  Killing lrmd
with -9 will let heartbeat shutdown but then the node is still missing the VIP.

Version-Release number of selected component (if applicable):

I've attached a patch for IPaddr that was posted to the heartbeat list that
resolves the problem. Credit to Thomas Baumann for the patch.
Comment 1 Kelly Corbin 2008-02-23 18:42:03 EST
Created attachment 295723 [details]
IPaddr patch
Comment 2 Kevin Fenzi 2008-02-23 23:04:15 EST
ok. You think this is worth applying now in fedora or just waiting for upstream
to pick it up? 

I also have a 2.1.3 update I need to push out, so I could do it at the same time
I guess... 

thanks for the patch!
Comment 3 Kelly Corbin 2008-02-25 16:24:14 EST
Thanks for the super quick response!
I didn't know that heartbeat was moving to 2.1.3 for Fedora 8 so I don't want to
add extra work if it will automatically get included in the not-too-distant
future.  The actual change that went into heartbeat-devel is here:
Comment 4 Kevin Fenzi 2008-02-25 17:22:13 EST
Well, 2.1.3 is already out... I just haven't updated fedora to the new release
yet. This fix will be in the next (as yet unreleased) version: 2.1.4

I will look at updating to 2.1.3 and adding this patch in there this week... 
Sorry for the delay. 
Comment 5 Fedora Update System 2008-03-05 20:33:08 EST
heartbeat-2.1.3-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Kevin Fenzi 2008-03-05 20:35:58 EST
Sorry for the delay here... 

I have built 2.1.3 + the patch for this issue. It should show up in
updates-testing in the next few days. The updates system will add a note here
when it's pushed out. 

If you want to try it out sooner, you can get it direct from the buildsystem at: 


Please let me know if you spot any problems with it. 
Comment 7 Fedora Update System 2008-03-06 11:35:29 EST
heartbeat-2.1.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update heartbeat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2267
Comment 8 Kelly Corbin 2008-03-06 16:29:29 EST
Everything is working like it should.  Thanks for including this patch!
Comment 9 Kevin Fenzi 2008-03-06 18:06:28 EST
Excellent. If you get a chance, can you say it works for you in the update link

If it gets 3 "works" points, it can go to stable...otherwise it will be a week
or two before it's released to stable. :) 

Comment 10 Fedora Update System 2008-03-16 15:28:58 EDT
heartbeat-2.1.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Kevin Fenzi 2008-06-06 15:37:08 EDT
This should be all fixed, closing now. 

Note You need to log in before you can comment on or make changes to this bug.